IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network149.2.232.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
- Network address
149.2.232.0- Broadcast address
149.2.232.255- First usable
149.2.232.1- Last usable
149.2.232.254- Usable hosts
- 254 (256 less the network and broadcast addresses)
- Subnet mask
255.255.255.0- Wildcard mask
0.0.0.255(Cisco ACLs, OSPF)- Prefix length
- /24
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
9502E800· Integer2499995648to2499995903 - Reverse DNS zone
232.2.149.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10010101.00000010.11101000..00000000 | 149.2.232.0 |
| Subnet mask | 11111111.11111111.11111111..00000000 | 255.255.255.0 |
| Network | 10010101.00000010.11101000..00000000 | 149.2.232.0 |
| Broadcast | 10010101.00000010.11101000..11111111 | 149.2.232.255 |
Split into smaller subnets
149.2.232.0/24 makes 256 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 149.2.232.0/32 | 149.2.232.0 to 149.2.232.0 | — | 1 |
| 2 | 149.2.232.1/32 | 149.2.232.1 to 149.2.232.1 | — | 1 |
| 3 | 149.2.232.2/32 | 149.2.232.2 to 149.2.232.2 | — | 1 |
| 4 | 149.2.232.3/32 | 149.2.232.3 to 149.2.232.3 | — | 1 |
| 5 | 149.2.232.4/32 | 149.2.232.4 to 149.2.232.4 | — | 1 |
| 6 | 149.2.232.5/32 | 149.2.232.5 to 149.2.232.5 | — | 1 |
| 7 | 149.2.232.6/32 | 149.2.232.6 to 149.2.232.6 | — | 1 |
| 8 | 149.2.232.7/32 | 149.2.232.7 to 149.2.232.7 | — | 1 |
| 9 | 149.2.232.8/32 | 149.2.232.8 to 149.2.232.8 | — | 1 |
| 10 | 149.2.232.9/32 | 149.2.232.9 to 149.2.232.9 | — | 1 |
| 11 | 149.2.232.10/32 | 149.2.232.10 to 149.2.232.10 | — | 1 |
| 12 | 149.2.232.11/32 | 149.2.232.11 to 149.2.232.11 | — | 1 |
| 13 | 149.2.232.12/32 | 149.2.232.12 to 149.2.232.12 | — | 1 |
| 14 | 149.2.232.13/32 | 149.2.232.13 to 149.2.232.13 | — | 1 |
| 15 | 149.2.232.14/32 | 149.2.232.14 to 149.2.232.14 | — | 1 |
| 16 | 149.2.232.15/32 | 149.2.232.15 to 149.2.232.15 | — | 1 |
| 17 | 149.2.232.16/32 | 149.2.232.16 to 149.2.232.16 | — | 1 |
| 18 | 149.2.232.17/32 | 149.2.232.17 to 149.2.232.17 | — | 1 |
| 19 | 149.2.232.18/32 | 149.2.232.18 to 149.2.232.18 | — | 1 |
| 20 | 149.2.232.19/32 | 149.2.232.19 to 149.2.232.19 | — | 1 |
| 21 | 149.2.232.20/32 | 149.2.232.20 to 149.2.232.20 | — | 1 |
| 22 | 149.2.232.21/32 | 149.2.232.21 to 149.2.232.21 | — | 1 |
| 23 | 149.2.232.22/32 | 149.2.232.22 to 149.2.232.22 | — | 1 |
| 24 | 149.2.232.23/32 | 149.2.232.23 to 149.2.232.23 | — | 1 |
| 25 | 149.2.232.24/32 | 149.2.232.24 to 149.2.232.24 | — | 1 |
| 26 | 149.2.232.25/32 | 149.2.232.25 to 149.2.232.25 | — | 1 |
| 27 | 149.2.232.26/32 | 149.2.232.26 to 149.2.232.26 | — | 1 |
| 28 | 149.2.232.27/32 | 149.2.232.27 to 149.2.232.27 | — | 1 |
| 29 | 149.2.232.28/32 | 149.2.232.28 to 149.2.232.28 | — | 1 |
| 30 | 149.2.232.29/32 | 149.2.232.29 to 149.2.232.29 | — | 1 |
| 31 | 149.2.232.30/32 | 149.2.232.30 to 149.2.232.30 | — | 1 |
| 32 | 149.2.232.31/32 | 149.2.232.31 to 149.2.232.31 | — | 1 |
| 33 | 149.2.232.32/32 | 149.2.232.32 to 149.2.232.32 | — | 1 |
| 34 | 149.2.232.33/32 | 149.2.232.33 to 149.2.232.33 | — | 1 |
| 35 | 149.2.232.34/32 | 149.2.232.34 to 149.2.232.34 | — | 1 |
| 36 | 149.2.232.35/32 | 149.2.232.35 to 149.2.232.35 | — | 1 |
| 37 | 149.2.232.36/32 | 149.2.232.36 to 149.2.232.36 | — | 1 |
| 38 | 149.2.232.37/32 | 149.2.232.37 to 149.2.232.37 | — | 1 |
| 39 | 149.2.232.38/32 | 149.2.232.38 to 149.2.232.38 | — | 1 |
| 40 | 149.2.232.39/32 | 149.2.232.39 to 149.2.232.39 | — | 1 |
| 41 | 149.2.232.40/32 | 149.2.232.40 to 149.2.232.40 | — | 1 |
| 42 | 149.2.232.41/32 | 149.2.232.41 to 149.2.232.41 | — | 1 |
| 43 | 149.2.232.42/32 | 149.2.232.42 to 149.2.232.42 | — | 1 |
| 44 | 149.2.232.43/32 | 149.2.232.43 to 149.2.232.43 | — | 1 |
| 45 | 149.2.232.44/32 | 149.2.232.44 to 149.2.232.44 | — | 1 |
| 46 | 149.2.232.45/32 | 149.2.232.45 to 149.2.232.45 | — | 1 |
| 47 | 149.2.232.46/32 | 149.2.232.46 to 149.2.232.46 | — | 1 |
| 48 | 149.2.232.47/32 | 149.2.232.47 to 149.2.232.47 | — | 1 |
| 49 | 149.2.232.48/32 | 149.2.232.48 to 149.2.232.48 | — | 1 |
| 50 | 149.2.232.49/32 | 149.2.232.49 to 149.2.232.49 | — | 1 |
| 51 | 149.2.232.50/32 | 149.2.232.50 to 149.2.232.50 | — | 1 |
| 52 | 149.2.232.51/32 | 149.2.232.51 to 149.2.232.51 | — | 1 |
| 53 | 149.2.232.52/32 | 149.2.232.52 to 149.2.232.52 | — | 1 |
| 54 | 149.2.232.53/32 | 149.2.232.53 to 149.2.232.53 | — | 1 |
| 55 | 149.2.232.54/32 | 149.2.232.54 to 149.2.232.54 | — | 1 |
| 56 | 149.2.232.55/32 | 149.2.232.55 to 149.2.232.55 | — | 1 |
| 57 | 149.2.232.56/32 | 149.2.232.56 to 149.2.232.56 | — | 1 |
| 58 | 149.2.232.57/32 | 149.2.232.57 to 149.2.232.57 | — | 1 |
| 59 | 149.2.232.58/32 | 149.2.232.58 to 149.2.232.58 | — | 1 |
| 60 | 149.2.232.59/32 | 149.2.232.59 to 149.2.232.59 | — | 1 |
| 61 | 149.2.232.60/32 | 149.2.232.60 to 149.2.232.60 | — | 1 |
| 62 | 149.2.232.61/32 | 149.2.232.61 to 149.2.232.61 | — | 1 |
| 63 | 149.2.232.62/32 | 149.2.232.62 to 149.2.232.62 | — | 1 |
| 64 | 149.2.232.63/32 | 149.2.232.63 to 149.2.232.63 | — | 1 |
| 65 | 149.2.232.64/32 | 149.2.232.64 to 149.2.232.64 | — | 1 |
| 66 | 149.2.232.65/32 | 149.2.232.65 to 149.2.232.65 | — | 1 |
| 67 | 149.2.232.66/32 | 149.2.232.66 to 149.2.232.66 | — | 1 |
| 68 | 149.2.232.67/32 | 149.2.232.67 to 149.2.232.67 | — | 1 |
| 69 | 149.2.232.68/32 | 149.2.232.68 to 149.2.232.68 | — | 1 |
| 70 | 149.2.232.69/32 | 149.2.232.69 to 149.2.232.69 | — | 1 |
| 71 | 149.2.232.70/32 | 149.2.232.70 to 149.2.232.70 | — | 1 |
| 72 | 149.2.232.71/32 | 149.2.232.71 to 149.2.232.71 | — | 1 |
| 73 | 149.2.232.72/32 | 149.2.232.72 to 149.2.232.72 | — | 1 |
| 74 | 149.2.232.73/32 | 149.2.232.73 to 149.2.232.73 | — | 1 |
| 75 | 149.2.232.74/32 | 149.2.232.74 to 149.2.232.74 | — | 1 |
| 76 | 149.2.232.75/32 | 149.2.232.75 to 149.2.232.75 | — | 1 |
| 77 | 149.2.232.76/32 | 149.2.232.76 to 149.2.232.76 | — | 1 |
| 78 | 149.2.232.77/32 | 149.2.232.77 to 149.2.232.77 | — | 1 |
| 79 | 149.2.232.78/32 | 149.2.232.78 to 149.2.232.78 | — | 1 |
| 80 | 149.2.232.79/32 | 149.2.232.79 to 149.2.232.79 | — | 1 |
| 81 | 149.2.232.80/32 | 149.2.232.80 to 149.2.232.80 | — | 1 |
| 82 | 149.2.232.81/32 | 149.2.232.81 to 149.2.232.81 | — | 1 |
| 83 | 149.2.232.82/32 | 149.2.232.82 to 149.2.232.82 | — | 1 |
| 84 | 149.2.232.83/32 | 149.2.232.83 to 149.2.232.83 | — | 1 |
| 85 | 149.2.232.84/32 | 149.2.232.84 to 149.2.232.84 | — | 1 |
| 86 | 149.2.232.85/32 | 149.2.232.85 to 149.2.232.85 | — | 1 |
| 87 | 149.2.232.86/32 | 149.2.232.86 to 149.2.232.86 | — | 1 |
| 88 | 149.2.232.87/32 | 149.2.232.87 to 149.2.232.87 | — | 1 |
| 89 | 149.2.232.88/32 | 149.2.232.88 to 149.2.232.88 | — | 1 |
| 90 | 149.2.232.89/32 | 149.2.232.89 to 149.2.232.89 | — | 1 |
| 91 | 149.2.232.90/32 | 149.2.232.90 to 149.2.232.90 | — | 1 |
| 92 | 149.2.232.91/32 | 149.2.232.91 to 149.2.232.91 | — | 1 |
| 93 | 149.2.232.92/32 | 149.2.232.92 to 149.2.232.92 | — | 1 |
| 94 | 149.2.232.93/32 | 149.2.232.93 to 149.2.232.93 | — | 1 |
| 95 | 149.2.232.94/32 | 149.2.232.94 to 149.2.232.94 | — | 1 |
| 96 | 149.2.232.95/32 | 149.2.232.95 to 149.2.232.95 | — | 1 |
| 97 | 149.2.232.96/32 | 149.2.232.96 to 149.2.232.96 | — | 1 |
| 98 | 149.2.232.97/32 | 149.2.232.97 to 149.2.232.97 | — | 1 |
| 99 | 149.2.232.98/32 | 149.2.232.98 to 149.2.232.98 | — | 1 |
| 100 | 149.2.232.99/32 | 149.2.232.99 to 149.2.232.99 | — | 1 |
| 101 | 149.2.232.100/32 | 149.2.232.100 to 149.2.232.100 | — | 1 |
| 102 | 149.2.232.101/32 | 149.2.232.101 to 149.2.232.101 | — | 1 |
| 103 | 149.2.232.102/32 | 149.2.232.102 to 149.2.232.102 | — | 1 |
| 104 | 149.2.232.103/32 | 149.2.232.103 to 149.2.232.103 | — | 1 |
| 105 | 149.2.232.104/32 | 149.2.232.104 to 149.2.232.104 | — | 1 |
| 106 | 149.2.232.105/32 | 149.2.232.105 to 149.2.232.105 | — | 1 |
| 107 | 149.2.232.106/32 | 149.2.232.106 to 149.2.232.106 | — | 1 |
| 108 | 149.2.232.107/32 | 149.2.232.107 to 149.2.232.107 | — | 1 |
| 109 | 149.2.232.108/32 | 149.2.232.108 to 149.2.232.108 | — | 1 |
| 110 | 149.2.232.109/32 | 149.2.232.109 to 149.2.232.109 | — | 1 |
| 111 | 149.2.232.110/32 | 149.2.232.110 to 149.2.232.110 | — | 1 |
| 112 | 149.2.232.111/32 | 149.2.232.111 to 149.2.232.111 | — | 1 |
| 113 | 149.2.232.112/32 | 149.2.232.112 to 149.2.232.112 | — | 1 |
| 114 | 149.2.232.113/32 | 149.2.232.113 to 149.2.232.113 | — | 1 |
| 115 | 149.2.232.114/32 | 149.2.232.114 to 149.2.232.114 | — | 1 |
| 116 | 149.2.232.115/32 | 149.2.232.115 to 149.2.232.115 | — | 1 |
| 117 | 149.2.232.116/32 | 149.2.232.116 to 149.2.232.116 | — | 1 |
| 118 | 149.2.232.117/32 | 149.2.232.117 to 149.2.232.117 | — | 1 |
| 119 | 149.2.232.118/32 | 149.2.232.118 to 149.2.232.118 | — | 1 |
| 120 | 149.2.232.119/32 | 149.2.232.119 to 149.2.232.119 | — | 1 |
| 121 | 149.2.232.120/32 | 149.2.232.120 to 149.2.232.120 | — | 1 |
| 122 | 149.2.232.121/32 | 149.2.232.121 to 149.2.232.121 | — | 1 |
| 123 | 149.2.232.122/32 | 149.2.232.122 to 149.2.232.122 | — | 1 |
| 124 | 149.2.232.123/32 | 149.2.232.123 to 149.2.232.123 | — | 1 |
| 125 | 149.2.232.124/32 | 149.2.232.124 to 149.2.232.124 | — | 1 |
| 126 | 149.2.232.125/32 | 149.2.232.125 to 149.2.232.125 | — | 1 |
| 127 | 149.2.232.126/32 | 149.2.232.126 to 149.2.232.126 | — | 1 |
| 128 | 149.2.232.127/32 | 149.2.232.127 to 149.2.232.127 | — | 1 |
| 129 | 149.2.232.128/32 | 149.2.232.128 to 149.2.232.128 | — | 1 |
| 130 | 149.2.232.129/32 | 149.2.232.129 to 149.2.232.129 | — | 1 |
| 131 | 149.2.232.130/32 | 149.2.232.130 to 149.2.232.130 | — | 1 |
| 132 | 149.2.232.131/32 | 149.2.232.131 to 149.2.232.131 | — | 1 |
| 133 | 149.2.232.132/32 | 149.2.232.132 to 149.2.232.132 | — | 1 |
| 134 | 149.2.232.133/32 | 149.2.232.133 to 149.2.232.133 | — | 1 |
| 135 | 149.2.232.134/32 | 149.2.232.134 to 149.2.232.134 | — | 1 |
| 136 | 149.2.232.135/32 | 149.2.232.135 to 149.2.232.135 | — | 1 |
| 137 | 149.2.232.136/32 | 149.2.232.136 to 149.2.232.136 | — | 1 |
| 138 | 149.2.232.137/32 | 149.2.232.137 to 149.2.232.137 | — | 1 |
| 139 | 149.2.232.138/32 | 149.2.232.138 to 149.2.232.138 | — | 1 |
| 140 | 149.2.232.139/32 | 149.2.232.139 to 149.2.232.139 | — | 1 |
| 141 | 149.2.232.140/32 | 149.2.232.140 to 149.2.232.140 | — | 1 |
| 142 | 149.2.232.141/32 | 149.2.232.141 to 149.2.232.141 | — | 1 |
| 143 | 149.2.232.142/32 | 149.2.232.142 to 149.2.232.142 | — | 1 |
| 144 | 149.2.232.143/32 | 149.2.232.143 to 149.2.232.143 | — | 1 |
| 145 | 149.2.232.144/32 | 149.2.232.144 to 149.2.232.144 | — | 1 |
| 146 | 149.2.232.145/32 | 149.2.232.145 to 149.2.232.145 | — | 1 |
| 147 | 149.2.232.146/32 | 149.2.232.146 to 149.2.232.146 | — | 1 |
| 148 | 149.2.232.147/32 | 149.2.232.147 to 149.2.232.147 | — | 1 |
| 149 | 149.2.232.148/32 | 149.2.232.148 to 149.2.232.148 | — | 1 |
| 150 | 149.2.232.149/32 | 149.2.232.149 to 149.2.232.149 | — | 1 |
| 151 | 149.2.232.150/32 | 149.2.232.150 to 149.2.232.150 | — | 1 |
| 152 | 149.2.232.151/32 | 149.2.232.151 to 149.2.232.151 | — | 1 |
| 153 | 149.2.232.152/32 | 149.2.232.152 to 149.2.232.152 | — | 1 |
| 154 | 149.2.232.153/32 | 149.2.232.153 to 149.2.232.153 | — | 1 |
| 155 | 149.2.232.154/32 | 149.2.232.154 to 149.2.232.154 | — | 1 |
| 156 | 149.2.232.155/32 | 149.2.232.155 to 149.2.232.155 | — | 1 |
| 157 | 149.2.232.156/32 | 149.2.232.156 to 149.2.232.156 | — | 1 |
| 158 | 149.2.232.157/32 | 149.2.232.157 to 149.2.232.157 | — | 1 |
| 159 | 149.2.232.158/32 | 149.2.232.158 to 149.2.232.158 | — | 1 |
| 160 | 149.2.232.159/32 | 149.2.232.159 to 149.2.232.159 | — | 1 |
| 161 | 149.2.232.160/32 | 149.2.232.160 to 149.2.232.160 | — | 1 |
| 162 | 149.2.232.161/32 | 149.2.232.161 to 149.2.232.161 | — | 1 |
| 163 | 149.2.232.162/32 | 149.2.232.162 to 149.2.232.162 | — | 1 |
| 164 | 149.2.232.163/32 | 149.2.232.163 to 149.2.232.163 | — | 1 |
| 165 | 149.2.232.164/32 | 149.2.232.164 to 149.2.232.164 | — | 1 |
| 166 | 149.2.232.165/32 | 149.2.232.165 to 149.2.232.165 | — | 1 |
| 167 | 149.2.232.166/32 | 149.2.232.166 to 149.2.232.166 | — | 1 |
| 168 | 149.2.232.167/32 | 149.2.232.167 to 149.2.232.167 | — | 1 |
| 169 | 149.2.232.168/32 | 149.2.232.168 to 149.2.232.168 | — | 1 |
| 170 | 149.2.232.169/32 | 149.2.232.169 to 149.2.232.169 | — | 1 |
| 171 | 149.2.232.170/32 | 149.2.232.170 to 149.2.232.170 | — | 1 |
| 172 | 149.2.232.171/32 | 149.2.232.171 to 149.2.232.171 | — | 1 |
| 173 | 149.2.232.172/32 | 149.2.232.172 to 149.2.232.172 | — | 1 |
| 174 | 149.2.232.173/32 | 149.2.232.173 to 149.2.232.173 | — | 1 |
| 175 | 149.2.232.174/32 | 149.2.232.174 to 149.2.232.174 | — | 1 |
| 176 | 149.2.232.175/32 | 149.2.232.175 to 149.2.232.175 | — | 1 |
| 177 | 149.2.232.176/32 | 149.2.232.176 to 149.2.232.176 | — | 1 |
| 178 | 149.2.232.177/32 | 149.2.232.177 to 149.2.232.177 | — | 1 |
| 179 | 149.2.232.178/32 | 149.2.232.178 to 149.2.232.178 | — | 1 |
| 180 | 149.2.232.179/32 | 149.2.232.179 to 149.2.232.179 | — | 1 |
| 181 | 149.2.232.180/32 | 149.2.232.180 to 149.2.232.180 | — | 1 |
| 182 | 149.2.232.181/32 | 149.2.232.181 to 149.2.232.181 | — | 1 |
| 183 | 149.2.232.182/32 | 149.2.232.182 to 149.2.232.182 | — | 1 |
| 184 | 149.2.232.183/32 | 149.2.232.183 to 149.2.232.183 | — | 1 |
| 185 | 149.2.232.184/32 | 149.2.232.184 to 149.2.232.184 | — | 1 |
| 186 | 149.2.232.185/32 | 149.2.232.185 to 149.2.232.185 | — | 1 |
| 187 | 149.2.232.186/32 | 149.2.232.186 to 149.2.232.186 | — | 1 |
| 188 | 149.2.232.187/32 | 149.2.232.187 to 149.2.232.187 | — | 1 |
| 189 | 149.2.232.188/32 | 149.2.232.188 to 149.2.232.188 | — | 1 |
| 190 | 149.2.232.189/32 | 149.2.232.189 to 149.2.232.189 | — | 1 |
| 191 | 149.2.232.190/32 | 149.2.232.190 to 149.2.232.190 | — | 1 |
| 192 | 149.2.232.191/32 | 149.2.232.191 to 149.2.232.191 | — | 1 |
| 193 | 149.2.232.192/32 | 149.2.232.192 to 149.2.232.192 | — | 1 |
| 194 | 149.2.232.193/32 | 149.2.232.193 to 149.2.232.193 | — | 1 |
| 195 | 149.2.232.194/32 | 149.2.232.194 to 149.2.232.194 | — | 1 |
| 196 | 149.2.232.195/32 | 149.2.232.195 to 149.2.232.195 | — | 1 |
| 197 | 149.2.232.196/32 | 149.2.232.196 to 149.2.232.196 | — | 1 |
| 198 | 149.2.232.197/32 | 149.2.232.197 to 149.2.232.197 | — | 1 |
| 199 | 149.2.232.198/32 | 149.2.232.198 to 149.2.232.198 | — | 1 |
| 200 | 149.2.232.199/32 | 149.2.232.199 to 149.2.232.199 | — | 1 |
| 201 | 149.2.232.200/32 | 149.2.232.200 to 149.2.232.200 | — | 1 |
| 202 | 149.2.232.201/32 | 149.2.232.201 to 149.2.232.201 | — | 1 |
| 203 | 149.2.232.202/32 | 149.2.232.202 to 149.2.232.202 | — | 1 |
| 204 | 149.2.232.203/32 | 149.2.232.203 to 149.2.232.203 | — | 1 |
| 205 | 149.2.232.204/32 | 149.2.232.204 to 149.2.232.204 | — | 1 |
| 206 | 149.2.232.205/32 | 149.2.232.205 to 149.2.232.205 | — | 1 |
| 207 | 149.2.232.206/32 | 149.2.232.206 to 149.2.232.206 | — | 1 |
| 208 | 149.2.232.207/32 | 149.2.232.207 to 149.2.232.207 | — | 1 |
| 209 | 149.2.232.208/32 | 149.2.232.208 to 149.2.232.208 | — | 1 |
| 210 | 149.2.232.209/32 | 149.2.232.209 to 149.2.232.209 | — | 1 |
| 211 | 149.2.232.210/32 | 149.2.232.210 to 149.2.232.210 | — | 1 |
| 212 | 149.2.232.211/32 | 149.2.232.211 to 149.2.232.211 | — | 1 |
| 213 | 149.2.232.212/32 | 149.2.232.212 to 149.2.232.212 | — | 1 |
| 214 | 149.2.232.213/32 | 149.2.232.213 to 149.2.232.213 | — | 1 |
| 215 | 149.2.232.214/32 | 149.2.232.214 to 149.2.232.214 | — | 1 |
| 216 | 149.2.232.215/32 | 149.2.232.215 to 149.2.232.215 | — | 1 |
| 217 | 149.2.232.216/32 | 149.2.232.216 to 149.2.232.216 | — | 1 |
| 218 | 149.2.232.217/32 | 149.2.232.217 to 149.2.232.217 | — | 1 |
| 219 | 149.2.232.218/32 | 149.2.232.218 to 149.2.232.218 | — | 1 |
| 220 | 149.2.232.219/32 | 149.2.232.219 to 149.2.232.219 | — | 1 |
| 221 | 149.2.232.220/32 | 149.2.232.220 to 149.2.232.220 | — | 1 |
| 222 | 149.2.232.221/32 | 149.2.232.221 to 149.2.232.221 | — | 1 |
| 223 | 149.2.232.222/32 | 149.2.232.222 to 149.2.232.222 | — | 1 |
| 224 | 149.2.232.223/32 | 149.2.232.223 to 149.2.232.223 | — | 1 |
| 225 | 149.2.232.224/32 | 149.2.232.224 to 149.2.232.224 | — | 1 |
| 226 | 149.2.232.225/32 | 149.2.232.225 to 149.2.232.225 | — | 1 |
| 227 | 149.2.232.226/32 | 149.2.232.226 to 149.2.232.226 | — | 1 |
| 228 | 149.2.232.227/32 | 149.2.232.227 to 149.2.232.227 | — | 1 |
| 229 | 149.2.232.228/32 | 149.2.232.228 to 149.2.232.228 | — | 1 |
| 230 | 149.2.232.229/32 | 149.2.232.229 to 149.2.232.229 | — | 1 |
| 231 | 149.2.232.230/32 | 149.2.232.230 to 149.2.232.230 | — | 1 |
| 232 | 149.2.232.231/32 | 149.2.232.231 to 149.2.232.231 | — | 1 |
| 233 | 149.2.232.232/32 | 149.2.232.232 to 149.2.232.232 | — | 1 |
| 234 | 149.2.232.233/32 | 149.2.232.233 to 149.2.232.233 | — | 1 |
| 235 | 149.2.232.234/32 | 149.2.232.234 to 149.2.232.234 | — | 1 |
| 236 | 149.2.232.235/32 | 149.2.232.235 to 149.2.232.235 | — | 1 |
| 237 | 149.2.232.236/32 | 149.2.232.236 to 149.2.232.236 | — | 1 |
| 238 | 149.2.232.237/32 | 149.2.232.237 to 149.2.232.237 | — | 1 |
| 239 | 149.2.232.238/32 | 149.2.232.238 to 149.2.232.238 | — | 1 |
| 240 | 149.2.232.239/32 | 149.2.232.239 to 149.2.232.239 | — | 1 |
| 241 | 149.2.232.240/32 | 149.2.232.240 to 149.2.232.240 | — | 1 |
| 242 | 149.2.232.241/32 | 149.2.232.241 to 149.2.232.241 | — | 1 |
| 243 | 149.2.232.242/32 | 149.2.232.242 to 149.2.232.242 | — | 1 |
| 244 | 149.2.232.243/32 | 149.2.232.243 to 149.2.232.243 | — | 1 |
| 245 | 149.2.232.244/32 | 149.2.232.244 to 149.2.232.244 | — | 1 |
| 246 | 149.2.232.245/32 | 149.2.232.245 to 149.2.232.245 | — | 1 |
| 247 | 149.2.232.246/32 | 149.2.232.246 to 149.2.232.246 | — | 1 |
| 248 | 149.2.232.247/32 | 149.2.232.247 to 149.2.232.247 | — | 1 |
| 249 | 149.2.232.248/32 | 149.2.232.248 to 149.2.232.248 | — | 1 |
| 250 | 149.2.232.249/32 | 149.2.232.249 to 149.2.232.249 | — | 1 |
| 251 | 149.2.232.250/32 | 149.2.232.250 to 149.2.232.250 | — | 1 |
| 252 | 149.2.232.251/32 | 149.2.232.251 to 149.2.232.251 | — | 1 |
| 253 | 149.2.232.252/32 | 149.2.232.252 to 149.2.232.252 | — | 1 |
| 254 | 149.2.232.253/32 | 149.2.232.253 to 149.2.232.253 | — | 1 |
| 255 | 149.2.232.254/32 | 149.2.232.254 to 149.2.232.254 | — | 1 |
| 256 | 149.2.232.255/32 | 149.2.232.255 to 149.2.232.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |